from setuptools import find_packages, setup

from pathlib import Path
thisdir = Path(__file__).parent
long_description = (thisdir / "README.md").read_text()

setup(
    name='valorantapi.py',
    packages=find_packages(include=['requests, urllib3']),
    version='0.2.0',
    description="Henrikdev's Unofficial VALORANT API wrapper written in Python.",
    long_description= long_description,
    long_description_content_type = "text/markdown",
    author='Jakkaphat Chalermphanaphan',
    author_email= "gunt@guntxjakka.me",
    project_urls={
        "Bug Tracker": "https://github.com/gxjakkap/valorantapi.py/issues",
    },
    license='MIT',
    install_requires=['requests', 'urllib3'],
    package_dir={"": "src"},
    python_requires=">=3.6",
)